# std::basic_ostringstream::rdbuf

From cppreference.com
< cpp‎ | io‎ | basic ostringstream

std::basic_stringbuf<CharT, Traits, Allocator>* rdbuf() const; |  |

Returns pointer to the underlying raw string device object.

### Parameters

(none)

### Return value

Pointer to the underlying raw string device.

### Example

| This section is incomplete Reason: no example

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/io/basic_ostringstream/rdbuf&oldid=50857"
Category:

- Todo no example